# Be sure to restart your server when you modify this file.

# Your secret key is used for verifying the integrity of signed cookies.
# If you change this key, all old signed cookies will become invalid!

# Make sure the secret is at least 30 characters and all random,
# no regular words or you'll be exposed to dictionary attacks.
# You can use `rails secret` to generate a secure secret key.

# Make sure the secrets in this file are kept private
# if you're sharing your code publicly.

development:
  secret_key_base: 175aeb1af95ef6b6f02bc4a22224ff4eaf05ea517aaf8180be5a4aafdfc3769ce8b09c170cab7d09940da7f130538cd722f062f51303d24825a43efd561e6d43
  secret_key_jwt:  5011e6dd96a3a1f4197b93017d85e337ee8d7d8980f9dcd3ced654f237b246120187852fc7004be1d3037fb07b54acc31b75d6f0c2aa742bb2e1b29ac816c6f0
  email_provider_username:
  email_provider_password:
  domain_name: lvh.me:3000
  domain_scheme: http
  default_subdomain:
  domain_length: 2
  default_mail_from: noreply@localhost
  offline_reply_to: reply@localhost
  google_api_key: "AIzaSyCXj_StZy2QwK8UkDL1k5Nks99RS114kj0"
  google_maps_api_key: "AIzaSyACaMJ-Gejk5gVT5uxG9G_RqCX8PmSnkd0"
  ftc_api_url: 'http://ftc-dev.automateddecision.com/mobileserv'
  redis_namespace: 'rael'
  pusher_api_key:
  pusher_app_id:
  pusher_secret:
  pusher_host:
  pusher_port:
  pusher_ssl_port:
  log_ftc_calls: true
  s3_images_url: 'http://s3.amazonaws.com/ftcuploadsdev/'
  exception_recipients: "ramesh.sobeg@gmail.com,polamarasettivijay@gmail.com,basitsshaikh@gmail.com"

test:
  secret_key_base: 28936229ee210020054f8062028aa2a1e9b74c906ad241dca5e4747aeabbdc18d8440b041c9358a6f15fd9d67a466d38cf2e784d2f404b788a34f7da390bc6d4

# Do not keep production secrets in the repository,
# instead read values from the environment.
staging:
  secret_key_base: 61ac559087f0cec3cf0ce3a2480c1cfccbe28ebc5e26a0af434e072605d2147e56098a6fa2086d08f4877cb5cebca0662bacb8fa9fef4f2638fdb115751d11bf
  secret_key_jwt:  5011e6dd96a3a1f4197b93017d85e337ee8d7d8980f9dcd3ced654f237b246120187852fc7004be1d3037fb07b54acc31b75d6f0c2aa742bb2e1b29ac816c6f0
  email_provider_username: 'ryangottfried'
  email_provider_password: 'Ryfried31'
  domain_name: 'staging.utilizecore.com'
  default_subdomain: 'reactwork'
  domain_length: 3
  default_mail_from: 'noreply@mail1.staging.utilizecore.com'
  offline_reply_to: 'reply@mail1.staging.utilizecore.com'
  domain_scheme: 'http'
  google_api_key: "AIzaSyCXj_StZy2QwK8UkDL1k5Nks99RS114kj0"
  google_maps_api_key: "AIzaSyACaMJ-Gejk5gVT5uxG9G_RqCX8PmSnkd0"
  ftc_api_url: 'http://ftc-dev.automateddecision.com/mobileserv'
  add_default_adftc_account: true
  adftc_shared_secret: 'sdfaa4RAWEFsGGEq39'
  adftc_auth_id: 'AD.8693872333.1513K9239-1PK9-2S29-0521-93LU43VR0829'
  adftc_auth_secret: 'AD.1663882333.5618P9339-1PP3-1S29-0301-92LU43VR0829'
  adftc_access_key: 'adftc'
  adftc_affiliate_id_prefix: 'CORE'
  adftc_username: 'testadftc'
  redis_namespace: 'servicesystem-staging'
  pusher_app_id: "828289992929929"
  pusher_api_key: "servicesystem-staging"
  pusher_secret: "83330003030303762"
  pusher_host: "45.79.131.134"
  pusher_port: 4567
  pusher_ssl_port: 8443
  log_ftc_calls: true 
  s3_images_url: 'http://s3.amazonaws.com/ftcuploadsdev/'
  exception_recipients: "ramesh.sobeg@gmail.com,polamarasettivijay@gmail.com,basitsshaikh@gmail.com,jay@utilizecore.com,swati.yamgar@utilizecore.com,rahul.kundu@utilizecore.com,indrajeet@utilizecore.com"
  company_default_images: 'core'
  coi_expiry_intimation_days: 7
  email_domain_name: 'mail1.staging.utilizecore.com'
  ids_api_url: 'https://xml.bossfacilityservices.com/Vendorintegration/api'
  log_ids_calls: false
  claim_company_emails_to: 'ryan@utilizecore.com,walter@utilizecore.com,mpatriotis.icloud.com,jay@utilizecore.com'
  taxjar_api_key: '3740a19ca95898406fb6f721f87f51c6'

